import request from '@/utils/request'

// 查询师傅申请记录列表
export function listWorkerApply(query) {
  return request({
    url: '/system/WorkerApply/list',
    method: 'get',
    params: query
  })
}

// 查询师傅申请记录详细
export function getWorkerApply(id) {
  return request({
    url: '/system/WorkerApply/' + id,
    method: 'get'
  })
}

// 新增师傅申请记录
export function addWorkerApply(data) {
  return request({
    url: '/system/WorkerApply',
    method: 'post',
    data: data
  })
}

// 修改师傅申请记录
export function updateWorkerApply(data) {
  return request({
    url: '/system/WorkerApply',
    method: 'put',
    data: data
  })
}

// 删除师傅申请记录
export function delWorkerApply(id) {
  return request({
    url: '/system/WorkerApply/' + id,
    method: 'delete'
  })
}
